.truwipe-floating-button{
    position: sticky;
    left: 100%;
    bottom: 70px;
    margin-right: 20px;
    margin-top: -60px;
    width: fit-content;
    z-index: 10;
    text-decoration: none;

    display: flex;
    align-items: center;
    column-gap: 15px;
    background: #F15B2C;
    padding: 10px 16px 10px 10px;
    border-radius: 28px;
    box-shadow: 0px 0px 4.4px 0px #00000047 inset;

    transition: background-color 1.5s ease;
    cursor: pointer;
    user-select: none;
}

.truwipe-floating-button:hover, .truwipe-floating-button.popup-active{
    background: #FFE9E2;
}



.truwipe-floating-button .floating-arrow-container{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px;
    background-color: #ffffff;
    box-shadow: 0px 0px 4.6px 2px #00000040;
    border-radius: 50%;

    transition: left 1.5s ease;
    z-index: 1;
    position: relative;
    left: 0px;
}

.truwipe-floating-button:hover .floating-arrow-container,
.truwipe-floating-button.popup-active .floating-arrow-container{
    left: 98px;
}



.truwipe-floating-button .floating-button-arrow-image{
    width: 20px;
    height: 20px;
    transition: transform 1.5s ease; 
}

.truwipe-floating-button:hover .floating-button-arrow-image,
.truwipe-floating-button.popup-active .floating-button-arrow-image{
    transform: rotateY(180deg);
}



.truwipe-floating-button .floating-button-text{
    font-family: "Poppins";
    font-weight: 600;
    font-size: 18px;
    line-height: 1.4em;
    color: #ffffff;

    position: relative;
    right: 0px;
    transition: right 1.5s ease, color 1.5s ease;
}

.truwipe-floating-button:hover .floating-button-text,
.truwipe-floating-button.popup-active .floating-button-text{
    right: 44px;
    color: #F15B2C;
}

/* media query starts */

@media only screen and (max-width: 1536px){
    .truwipe-floating-button .floating-button-text{
        font-size: 16px;
    }

    .truwipe-floating-button .floating-button-arrow-image{
        width: 18px;
        height: 18px;
    }

    .truwipe-floating-button {
        column-gap: 12px;
    }

    .truwipe-floating-button:hover .floating-arrow-container,
    .truwipe-floating-button.popup-active .floating-arrow-container{
        left: 86px;
    }

    .truwipe-floating-button:hover .floating-button-text,
    .truwipe-floating-button.popup-active .floating-button-text{
        right: 42px;
    }
}

@media only screen and (max-width: 1366px){
    .truwipe-floating-button .floating-button-arrow-image {
        width: 16px;
        height: 16px;
    }

    .truwipe-floating-button .floating-arrow-container {
        padding: 6px;
    }

    .truwipe-floating-button {
        column-gap: 10px;
        padding: 8px 14px 8px 8px;
    }

    .truwipe-floating-button .floating-button-text {
        font-size: 15px;
    }

    .truwipe-floating-button:hover .floating-arrow-container, .truwipe-floating-button.popup-active .floating-arrow-container {
        left: 79px;
    }

    .truwipe-floating-button:hover .floating-button-text, .truwipe-floating-button.popup-active .floating-button-text {
        right: 33px;
    }
}

@media only screen and (max-width: 1024px){
    /* removing hover effect on tablet and mobile view */
    .truwipe-floating-button:hover .floating-arrow-container,
    .truwipe-floating-button.popup-active .floating-arrow-container {
        left: 0px;
    }

    .truwipe-floating-button:hover .floating-button-text,
    .truwipe-floating-button.popup-active .floating-button-text {
        right: 0px;
        color: #ffffff;
    }

    .truwipe-floating-button:hover,
    .truwipe-floating-button.popup-active{
        background: #F15B2C;
    }

    .truwipe-floating-button:hover .floating-button-arrow-image,
    .truwipe-floating-button.popup-active .floating-button-arrow-image{
        transform: rotateY(0deg);
    }
}

@media only screen and (max-width: 767px){
    .truwipe-floating-button .floating-button-text{
        font-size: 13px;
    }

    .truwipe-floating-button .floating-button-arrow-image{
        width: 14px;
        height: 14px;
    }

    .truwipe-floating-button .floating-arrow-container{
        padding: 6px;
    }

    .truwipe-floating-button{
        column-gap: 8px;
        padding: 8px 12px 8px 8px;
        margin-right: 16px;
    }
}